zenilib: zenilib/jni/external/freetype2/src/gzip/inftrees.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
inftrees.c File Reference
`#include "zutil.h"`
`#include "inftrees.h"`

Go to the source code of this file.

## Macros

#define | bits word.what.Bits
#define | BMAX 15 /* maximum bit length of any code */
#define | BUILDFIXED /* non ANSI compilers may not accept inffixed.h */
#define | C0 *p++ = 0;
#define | C2 C0 C0 C0 C0
#define | C4 C2 C2 C2 C2
#define | exop word.what.Exop
#define | FIXEDH 544 /* number of hufts used by fixed tables */

## Functions

local int | huft_build (uIntf *b, uInt n, uInt s, const uIntf *d, const uIntf *e, inflate_huft *FAR *t, uIntf *m, inflate_huft *hp, uInt *hn, uIntf *v)
local int | inflate_trees_bits (uIntf *c, uIntf *bb, inflate_huft *FAR *tb, inflate_huft *hp, z_streamp z)
local int | inflate_trees_dynamic (uInt nl, uInt nd, uIntf *c, uIntf *bl, uIntf *bd, inflate_huft *FAR *tl, inflate_huft *FAR *td, inflate_huft *hp, z_streamp z)
local int | inflate_trees_fixed (uIntf *bl, uIntf *bd, const inflate_huft *FAR *tl, const inflate_huft *FAR *td, z_streamp z)
local int huft_build | OF ((uIntf *, uInt, uInt, const uIntf *, const uIntf *, inflate_huft *FAR *, uIntf *, inflate_huft *, uInt *, uIntf *))

## Variables

local const uInt | cpdext [30]
local const uInt | cpdist [30]
local const uInt | cplens [31]
local const uInt | cplext [31]
local uInt | fixed_bd
local uInt | fixed_bl
local int | fixed_built = 0
local inflate_huft | fixed_mem [FIXEDH]
local inflate_huft * | fixed_td
local inflate_huft * | fixed_tl

## Macro Definition Documentation

#define bits word.what.Bits

Definition at line 27 of file inftrees.c.

#define BMAX 15 /* maximum bit length of any code */

Definition at line 93 of file inftrees.c.

Referenced by huft_build().

#define BUILDFIXED /* non ANSI compilers may not accept inffixed.h */

Definition at line 10 of file inftrees.c.

#define C0 *p++ = 0;

#define C2 C0 C0 C0 C0

#define C4 C2 C2 C2 C2

Referenced by huft_build().

#define exop word.what.Exop

Definition at line 26 of file inftrees.c.

#define FIXEDH 544 /* number of hufts used by fixed tables */

Definition at line 398 of file inftrees.c.

## Function Documentation

local int huft_build | ( | uIntf * | b,
|  | uInt | n,
|  | uInt | s,
|  | const uIntf * | d,
|  | const uIntf * | e,
|  | inflate_huft *FAR * | t,
|  | uIntf * | m,
|  | inflate_huft * | hp,
|  | uInt * | hn,
|  | uIntf * | v
| ) |  |

Definition at line 95 of file inftrees.c.

References inflate_huft_s::base, BMAX, C4, i, j, k, m, MANY, u, Z_BUF_ERROR, Z_DATA_ERROR, Z_NULL, and Z_OK.

Referenced by inflate_trees_bits(), inflate_trees_dynamic(), and inflate_trees_fixed().

local int inflate_trees_bits | ( | uIntf * | c,
|  | uIntf * | bb,
|  | inflate_huft *FAR * | tb,
|  | inflate_huft * | hp,
|  | z_streamp | z
| ) |  |

Definition at line 299 of file inftrees.c.

References huft_build(), Z_BUF_ERROR, Z_DATA_ERROR, Z_MEM_ERROR, Z_NULL, ZALLOC, and ZFREE.

Referenced by inflate_blocks().

local int inflate_trees_dynamic | ( | uInt | nl,
|  | uInt | nd,
|  | uIntf * | c,
|  | uIntf * | bl,
|  | uIntf * | bd,
|  | inflate_huft *FAR * | tl,
|  | inflate_huft *FAR * | td,
|  | inflate_huft * | hp,
|  | z_streamp | z
| ) |  |

Definition at line 327 of file inftrees.c.

References huft_build(), Z_BUF_ERROR, Z_DATA_ERROR, Z_MEM_ERROR, Z_NULL, Z_OK, ZALLOC, and ZFREE.

Referenced by inflate_blocks().

local int inflate_trees_fixed | ( | uIntf * | bl,
|  | uIntf * | bd,
|  | const inflate_huft *FAR * | tl,
|  | const inflate_huft *FAR * | td,
|  | z_streamp | z
| ) |  |

Definition at line 409 of file inftrees.c.

References fixed_bd, fixed_bl, fixed_td, fixed_tl, FT_UNUSED, huft_build(), k, Z_MEM_ERROR, Z_NULL, Z_OK, ZALLOC, and ZFREE.

Referenced by inflate_blocks().

local int huft_build OF | ( | (uIntf *, uInt, uInt, const uIntf *, const uIntf *, inflate_huft *FAR *, uIntf *, inflate_huft *, uInt *, uIntf *) |  | ) |

## Variable Documentation

local const uInt cpdext[30]

Initial value:
= {
0, 0, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6,
7, 7, 8, 8, 9, 9, 10, 10, 11, 11,
12, 12, 13, 13}

Definition at line 54 of file inftrees.c.

local const uInt cpdist[30]

Initial value:
= {
1, 2, 3, 4, 5, 7, 9, 13, 17, 25, 33, 49, 65, 97, 129, 193,
257, 385, 513, 769, 1025, 1537, 2049, 3073, 4097, 6145,
8193, 12289, 16385, 24577}

Definition at line 50 of file inftrees.c.

local const uInt cplens[31]

Initial value:
= {
3, 4, 5, 6, 7, 8, 9, 10, 11, 13, 15, 17, 19, 23, 27, 31,
35, 43, 51, 59, 67, 83, 99, 115, 131, 163, 195, 227, 258, 0, 0}

Definition at line 43 of file inftrees.c.

local const uInt cplext[31]

Initial value:
= {
0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2,
3, 3, 3, 3, 4, 4, 4, 4, 5, 5, 5, 5, 0, 112, 112}

Definition at line 47 of file inftrees.c.

local uInt fixed_bd

Definition at line 401 of file inftrees.c.

local uInt fixed_bl

Definition at line 400 of file inftrees.c.

local int fixed_built = 0

Definition at line 397 of file inftrees.c.

local inflate_huft fixed_mem[FIXEDH]

Definition at line 399 of file inftrees.c.

local inflate_huft* fixed_td

Definition at line 403 of file inftrees.c.

local inflate_huft* fixed_tl

Definition at line 402 of file inftrees.c.